Bug 16072 - Include only one small spinner gif in the staff client
Summary: Include only one small spinner gif in the staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-14 18:30 UTC by Owen Leonard
Modified: 2017-01-04 21:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16072: Changing all instances of 'loading-small.gif' to 'spinner-small.gif' and removing loading-small.gif file. (102.98 KB, patch)
2016-03-15 04:33 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16072: Changing all instances of 'loading-small.gif' to 'spinner-small.gif' and removing loading-small.gif file. (29.46 KB, patch)
2016-12-12 00:01 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16072: Changing all instances of 'loading-small.gif' to 'spinner-small.gif' and removing loading-small.gif file. (29.57 KB, patch)
2016-12-14 18:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16072: Changing all instances of 'loading-small.gif' to 'spinner-small.gif' and removing loading-small.gif file. (29.91 KB, patch)
2016-12-27 16:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-14 18:30:34 UTC
Right now we have two spinner gifs for use when a "loading" icon is needed:

spinner-small.gif
loading-small.gif

We only need one. The latter is used more often, but the former is transparent and thus probably more versatile and should be kept.
Comment 1 Aleisha Amohia 2016-03-15 04:33:37 UTC
Created attachment 49155 [details] [review]
Bug 16072: Changing all instances of 'loading-small.gif' to 'spinner-small.gif' and removing loading-small.gif file.

Confirm that I have not missed any places where there is 'loading-small.gif'

Sponsored-by: Catalyst IT
Comment 2 Owen Leonard 2016-03-15 12:32:14 UTC
This patch changes OPAC CSS, which is outside the scope of this bug.

- I'm pretty sure the relevant OPAC CSS isn't actually used... I 
  can't find any reference to autocomplete being used in the OPAC.

- Neither loading-small.gif nor spinner-small.gif exist in the OPAC,
  so changing one for the other isn't making progress.

- For future reference, I think the QA and RM teams like changes to
  opac.css to  be submitted as a separate patch.
Comment 3 Aleisha Amohia 2016-12-12 00:01:43 UTC
Created attachment 58102 [details] [review]
Bug 16072: Changing all instances of 'loading-small.gif' to 'spinner-small.gif' and removing loading-small.gif file.

Confirm that I have not missed any places where there is 'loading-small.gif'
Have amended patch to not include OPAC changes from previous patch.

Sponsored-by: Catalyst IT
Comment 4 Owen Leonard 2016-12-14 18:01:25 UTC
Created attachment 58187 [details] [review]
[SIGNED-OFF] Bug 16072: Changing all instances of 'loading-small.gif' to 'spinner-small.gif' and removing loading-small.gif file.

Confirm that I have not missed any places where there is 'loading-small.gif'
Have amended patch to not include OPAC changes from previous patch.

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Jonathan Druart 2016-12-27 16:19:23 UTC
Created attachment 58448 [details] [review]
Bug 16072: Changing all instances of 'loading-small.gif' to 'spinner-small.gif' and removing loading-small.gif file.

Confirm that I have not missed any places where there is 'loading-small.gif'
Have amended patch to not include OPAC changes from previous patch.

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Kyle M Hall 2016-12-28 13:44:38 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 7 Katrin Fischer 2017-01-04 21:44:36 UTC
This won't get ported back to 16.11.x as it is an enhancement.